Page MenuHomePhabricator

Add new wikis to Wikistats
Closed, ResolvedPublic

Description

Several wikis were created, see parents task. Except those tasks, there is T204477, I'm not sure if you're interested in punjabiwikimedia.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2018, 11:26 AM

@Dzahn, T202434 was completed by you, pinging you then.

already done :)

https://wikitech.wikimedia.org/wiki/Nova_Resource:Wikistats/SAL

2018-11-16

01:58 mutante: - added new projects: punjabi.wikimedia, yue.wiktionary, li.wikinews and shn.wikpedia
Dzahn closed this task as Resolved.Nov 19 2018, 4:20 PM
Dzahn claimed this task.
Xqt reopened this task as Open.Dec 3 2018, 12:27 PM
Xqt added a subscriber: Xqt.

Sees they aren't listed via api with csv format:

C:\pwb\GIT\core>pwb.py wikimedia_sites

Checking family wikibooks:
The lists match!

Checking family wikinews:
WARNING: ['li'] not listed at wikistats.
The lists match!

Checking family wikipedia:
WARNING: ['shn'] not listed at wikistats.
The lists match!

Checking family wikiquote:
The lists match!

Checking family wikisource:
The lists match!

Checking family wikiversity:
The lists match!

Checking family wikivoyage:
The lists match!

Checking family wiktionary:
WARNING: ['yue'] not listed at wikistats.
The lists match!

C:\pwb\GIT\core>
Xqt triaged this task as Normal priority.EditedDec 3 2018, 12:31 PM

Same for XML:

C:\pwb\GIT\core>py -2 pwb.py wikimedia_sites

WARNING: WikiStats: unicodecsv package required for using csv in Python 2; falling back to using the larger XML datasets.

Checking family wikibooks:
The lists match!

Checking family wikinews:
WARNING: ['li'] not listed at wikistats.
The lists match!

XML fails for wikipedias (see T200447)

Is this related to the sudden disappearance of li.wikinews from this: https://meta.wikimedia.org/w/index.php?title=Wikinews%2FTable&type=revision&diff=18681326&oldid=18681128 ?
Also, adding pages via Wikidata does not seem to work.

Ẃikidata aren't relevant to this task, there's T209820: Add Wikidata support to new wikis for that.

Also, adding pages via Wikidata does not seem to work.

Please file separate tasks for separate issues: https://www.mediawiki.org/wiki/How_to_report_a_bug - Thanks!

Due to T210964 i had to import data from a backup and that was about 2 weeks old. This is why i had already done this above but then it got removed again.

I just re-added the projects:

shn.wikipedia
yue.wiktionary
punjabi.wikimedia
li.wikinews

also i deleted mo.wikipedia since i noticed it hasn't been updated in a long time and is just a redirect to ro.wikipedia now

Is this related to the sudden disappearance of li.wikinews from this: https://meta.wikimedia.org/w/index.php?title=Wikinews%2FTable&type=revision&diff=18681326&oldid=18681128 ?

Yes, it was. I just fixed it. https://meta.wikimedia.org/w/index.php?title=Wikinews%2FTable&type=revision&diff=18690482&oldid=18689573

I am not sure why there are the other changes regarding HTML entities vs. Unicode but if you need me to change the output of http://wikistats.wmflabs.org/displayw.php?t=wn which this is pasted from, let me know. The entire reason this project was started originally was to created that mediawiki code for pasting to these table pages.

Also, adding pages via Wikidata does not seem to work.

Yes, that's completely unrelated, please file a new ticket.

Dzahn closed this task as Resolved.Dec 5 2018, 7:48 PM

C:\pwb\GIT\core>pwb.py wikimedia_sites

Interesting script, mind running it again now? Let me know if anything else isn't matching. Should be ok now. Also note i deleted "mo.wikipedia" because i noticed it is broken / just redirected to ro.wp now.

Thanks for reporting, i will claim resolved. Please reopen if i missed anything.

Also, adding pages via Wikidata does not seem to work.

Yes, that's completely unrelated, please file a new ticket.

Please do not fill a new ticket, we already have one T209820: Add Wikidata support to new wikis.